# Uses of Class
org.apache.lucene.util.hnsw.InitializedHnswGraphBuilder

Packages that use InitializedHnswGraphBuilder
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of InitializedHnswGraphBuilder in org.apache.lucene.util.hnsw

  Methods in org.apache.lucene.util.hnsw that return InitializedHnswGraphBuilder
  Modifier and Type
  Method
  Description
  `static InitializedHnswGraphBuilder`
  InitializedHnswGraphBuilder.`fromGraph(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, HnswGraph initializerGraph, int[] newOrdMap, BitSet initializedNodes, int totalNumberOfVectors)`
  Create a new HnswGraphBuilder that is initialized with the provided HnswGraph.